std::tr1::_Sp_counted_base(3)

NAME
std::tr1::_Sp_counted_base -

SYNOPSIS

Inherited by _Sp_counted_base_impl.

Detailed Description

Definition at line 97 of file boost_shared_ptr.h.

  Public Member Functions
_Sp_counted_base ()
void add_ref_copy ()
void add_ref_lock ()
virtual void destroy ()
virtual void dispose ()=0
virtual void * get_deleter (const std::type_info &)=0
void release ()
long use_count () const
void weak_add_ref ()
void weak_release ()
virtual ~_Sp_counted_base ()

Author

Generated automatically by Doxygen for libstdc++ from the source code.